# libraries
from random import randrange

# a class for a die
class Die:
    def __init__(self, n):
        self.num_sides = n
        self.value = 1   

    def roll(self):
        self.value = randrange(1, self.num_sides + 1)

    def getValue(self):
        return self.value

def main():
    print("Start")
    # Create 2 dice, one with 6 sides
    d6 = Die(6)    # Die.__init__(6)
    d8 = Die(8)    # Die.__init__(8)
    
    # display their value
    print( "Value of d6:", d6.getValue() )
    print( "Value of d8:", d8.getValue() )
    
    # Roll both dice
    d6.roll()
    d8.roll()
    print("D6 Val:", d6.getValue())
    print("D8 Val:", d8.getValue())
    d6.roll()
    d8.roll()
    print("D6 Val:", d6.getValue())
    print("D8 Val:", d8.getValue())
    
    
    d20 = Die(20)
    d20.roll()
    print("New roll D20:", d20.getValue())

main()
